- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Defines | Typedefs | Functions

# qplugin.h File Reference

`#include <QtCore/qobject.h>`
`#include <QtCore/qpointer.h>`

Go to the source code of this file.

## Defines
#define | Q_EXTERN_C extern
#define | Q_IMPORT_PLUGIN(PLUGIN)
#define | Q_PLUGIN_INSTANCE(IMPLEMENTATION)
#define | Q_EXPORT_PLUGIN(PLUGIN) Q_EXPORT_PLUGIN2(PLUGIN, PLUGIN)
#define | Q_EXPORT_STATIC_PLUGIN(PLUGIN) Q_EXPORT_STATIC_PLUGIN2(PLUGIN, PLUGIN)
#define | QPLUGIN_DEBUG_STR "true"
#define | Q_PLUGIN_VERIFICATION_DATA
#define | Q_STANDARD_CALL
#define | Q_EXPORT_PLUGIN2(PLUGIN, PLUGINCLASS)
#define | Q_EXPORT_STATIC_PLUGIN2(PLUGIN, PLUGINCLASS)
## Typedefs
typedef QObject *(* | QtPluginInstanceFunction )()
## Functions
void Q_CORE_EXPORT | qRegisterStaticPluginInstanceFunction (QtPluginInstanceFunction function)

## Define Documentation

#define Q_EXTERN_C extern

Search for all occurrences

Definition at line 58 of file qplugin.h.

#define Q_IMPORT_PLUGIN | ( |  | PLUGIN | ) |

Search for all occurrences
Value:

    extern QT_PREPEND_NAMESPACE(QObject) *qt_plugin_instance_##PLUGIN(); \
            class Static##PLUGIN##PluginInstance{ \
            public: \
                    Static##PLUGIN##PluginInstance() { \
                    qRegisterStaticPluginInstanceFunction(qt_plugin_instance_##PLUGIN); \
                    } \
            }; \
           static Static##PLUGIN##PluginInstance static##PLUGIN##Instance;

Definition at line 66 of file qplugin.h.

#define Q_PLUGIN_INSTANCE | ( |  | IMPLEMENTATION | ) |

Search for all occurrences
Value:

    { \
                static QT_PREPEND_NAMESPACE(QPointer)<QT_PREPEND_NAMESPACE(QObject)> _instance; \
                if (!_instance)      \
                    _instance = new IMPLEMENTATION; \
                return _instance; \
            }

Definition at line 76 of file qplugin.h.

#define Q_EXPORT_PLUGIN | ( |  | PLUGIN | ) | Q_EXPORT_PLUGIN2(PLUGIN, PLUGIN)

Search for all occurrences

Definition at line 84 of file qplugin.h.

#define Q_EXPORT_STATIC_PLUGIN | ( |  | PLUGIN | ) | Q_EXPORT_STATIC_PLUGIN2(PLUGIN, PLUGIN)

Search for all occurrences

Definition at line 87 of file qplugin.h.

#define QPLUGIN_DEBUG_STR "true"

Search for all occurrences

Definition at line 110 of file qplugin.h.

#define Q_PLUGIN_VERIFICATION_DATA

Search for all occurrences
Value:

    static const char qt_plugin_verification_data[] = \
          "pattern=""QT_PLUGIN_VERIFICATION_DATA""\n" \
          "version="QT_VERSION_STR"\n" \
          "debug="QPLUGIN_DEBUG_STR"\n" \
          "buildkey="QT_BUILD_KEY;

Definition at line 112 of file qplugin.h.

#define Q_STANDARD_CALL

Search for all occurrences

Definition at line 122 of file qplugin.h.

#define Q_EXPORT_PLUGIN2 | ( |  | PLUGIN,
|  |  | PLUGINCLASS
| ) |  |

Search for all occurrences
Value:

    Q_PLUGIN_VERIFICATION_DATA \
                Q_EXTERN_C Q_DECL_EXPORT \
                const char * Q_STANDARD_CALL qt_plugin_query_verification_data() \
                { return qt_plugin_verification_data; } \
                Q_EXTERN_C Q_DECL_EXPORT QT_PREPEND_NAMESPACE(QObject) * Q_STANDARD_CALL qt_plugin_instance() \
                Q_PLUGIN_INSTANCE(PLUGINCLASS)

Definition at line 125 of file qplugin.h.

#define Q_EXPORT_STATIC_PLUGIN2 | ( |  | PLUGIN,
|  |  | PLUGINCLASS
| ) |  |

Search for all occurrences

Definition at line 133 of file qplugin.h.

## Typedef Documentation

typedef QObject*(* QtPluginInstanceFunction)()

Search for all occurrences

Definition at line 62 of file qplugin.h.

## Function Documentation

void Q_CORE_EXPORT qRegisterStaticPluginInstanceFunction | ( | QtPluginInstanceFunction | function | ) |

Search for all occurrences